> ## Documentation Index
> Fetch the complete documentation index at: https://backstage.spotify.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Execute checks

> Execute checks by id or execute an inline check against specific entities or a filter.



## OpenAPI

````yaml /plugins/soundcheck/openapi.yaml post /checks/execute
openapi: 3.0.0
info:
  title: soundcheck
  version: 0.1.0
  description: API for interacting with Soundcheck.
servers:
  - url: https://backstage.example.com/api/soundcheck
security: []
tags:
  - name: Campaigns
  - name: Certification
  - name: CheckResults
  - name: Checks
  - name: FactCollectors
  - name: Facts
  - name: Tracks
paths:
  /checks/execute:
    post:
      tags:
        - Checks
      summary: Execute checks
      description: >-
        Execute checks by id or execute an inline check against specific
        entities or a filter.
      operationId: executeChecks
      parameters:
        - name: dryRun
          in: query
          description: If true, execute without persisting results.
          required: false
          schema:
            type: string
            enum:
              - 'true'
              - 'false'
              - ''
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ExecuteChecksRequest'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExecuteChecksResponse'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    ExecuteChecksRequest:
      oneOf:
        - type: object
          properties:
            checkIds:
              type: array
              items:
                type: string
            entityRefs:
              type: array
              items:
                type: string
            filter:
              $ref: '#/components/schemas/EntityFilter'
          required:
            - checkIds
          additionalProperties: false
        - type: object
          properties:
            check:
              $ref: '#/components/schemas/Check'
            entityRefs:
              type: array
              items:
                type: string
            filter:
              $ref: '#/components/schemas/EntityFilter'
          required:
            - check
          additionalProperties: false
    ExecuteChecksResponse:
      type: object
      properties:
        results:
          type: array
          items:
            $ref: '#/components/schemas/CheckResult'
      required:
        - results
      additionalProperties: false
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            name:
              type: string
            message:
              type: string
          required:
            - name
            - message
          additionalProperties: true
        request:
          type: object
          properties:
            method:
              type: string
            url:
              type: string
          required:
            - method
            - url
          additionalProperties: false
        response:
          type: object
          properties:
            statusCode:
              type: integer
          required:
            - statusCode
          additionalProperties: false
      required:
        - error
        - response
      additionalProperties: false
    EntityFilter:
      oneOf:
        - type: object
          additionalProperties:
            oneOf:
              - type: string
              - type: array
                items:
                  type: string
        - type: array
          items:
            type: object
            additionalProperties:
              oneOf:
                - type: string
                - type: array
                  items:
                    type: string
    Check:
      type: object
      properties:
        id:
          type: string
        ownerEntityRef:
          type: string
        name:
          type: string
          minLength: 1
          maxLength: 100
        description:
          type: string
        filter:
          $ref: '#/components/schemas/EntityFilter'
        exclude:
          $ref: '#/components/schemas/EntityFilter'
        skillEntityRef:
          type: string
      required:
        - id
      additionalProperties: false
    CheckResult:
      type: object
      properties:
        entityRef:
          type: string
        checkId:
          type: string
        state:
          type: string
        details:
          type: object
          additionalProperties: true
        scope:
          type: string
        submittedBy:
          type: string
      required:
        - entityRef
        - checkId
        - state
      additionalProperties: false

````